XtGetResourceList(3Xt)

NAME
XtGetResourceList, XtGetConstraintResourceList - obtain resource list

SYNTAX
void XtGetResourceList(class, resources_return, num_resources_return);
      WidgetClass class;
      XtResourceList *resources_return;
      Cardinal *num_resources_return;

void XtGetConstraintResourceList(class, resources_return, num_resources_return);
      WidgetClass class;
      XtResourceList *resources_return;
      Cardinal *num_resources_return;

ARGUMENTS

num_resources_return
    Specifies a pointer to where to store the number of entries in the resource list.

resources_return
    Specifies a pointer to where to store the returned resource list. The caller must free this storage using when done with it.

widget_class
    Specifies the widget class.

DESCRIPTION
If is called before the widget class is initialized (that is, before the first widget of that class has been created), returns the resource list as specified in the widget class record. If it is called after the widget class has been initialized, returns a merged resource list that contains the resources for all superclasses. The list returned by should be freed using when it is no longer needed.

If is called before the widget class is initialized (that is, before the first widget of that class has been created), returns the resource list as specified in the widget class Constraint part record. If it is called after the widget class has been initialized, returns a merged resource list that contains the Constraint resources for all superclasses. If the specified class is not a subclass of *resources_return is set to NULL and *num_resources_return is set to zero. The list returned by should be freed using when it is no longer needed.

SEE ALSO
XtGetSubresources(3Xt), XtOffset(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface